import time
import datetime


def idUnique(prefixe=""):
    """renvoie un identifiant unique
       base sur le temps en micro-s ecoule depuis le 1er janvier 2015,
       precede du prefixe entre en parametre"""
##    delta = datetime.datetime.now() - datetime.datetime(2013, 1, 1)
    depart = time.struct_time(tm_year=2015, tm_mon=1, tm_mday=1, \
                              tm_hour=0, tm_min=0, tm_sec=0, \
                              tm_wday=0, tm_yday=1, tm_isdst=0)
    delta = time.time() - time.mktime(depart)
##    retour = "{}{}-{}-{}".format(prefixe, delta.days, delta.seconds, delta.microseconds)
    retour = "{}{}".format(prefixe, delta)
    return retour
 
print idUnique()
